Redmine - Defect #32141

Migration from 3.4.10 to 4.0.4 fail on database upgrade
2019-09-25 17:00 - Xavier ANDRE

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 4.0.4

Description
Hello,

I'm trying to upgrade from 3.4.10 to 4.0.4 by following your procedure : [[
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade]]

But at step 4, | got this error my mysqgl database :
bundle exec rake db:migrate RAILS_ENV=production

rake aborted!
StandardError: Directly inheriting from ActiveRecord::Migration is not supported. Please specify t
he Rails release the migration was written for:

class ActsAsTaggableOnMigration < ActiveRecord::Migration([4.2]
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activerecord-5.2.3/1lib/active_record/migration.rb:528:1in
inherited'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/acts—-as-taggable-on-4.0.0/db/migrate/1_acts_as_taggable_on
_migration.rb:1l:in “<top (required)>"'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in “require'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1ib/active_support/dependencies.rb:291
:in "block in require'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:257
:in " load_dependency'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in “require'
/home/redmine/.rvm/gems/ruby-2.5.1/bundler/gems/redmine_acts_as_taggable_on-0ebef70ef692/1ib/redmi
ne_acts_as_taggable_on/migration.rb:6:in ‘<top (required)>'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in “require'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in "block in require'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:257
:in " load_dependency'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in “require'
/home/redmine/.rvm/gems/ruby-2.5.1/bundler/gems/redmine_acts_as_taggable_on-0ebef70ef692/1ib/redmi
ne_acts_as_taggable_on/initialize.rb:3:in "<top (required)>'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in “require'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in "block in require'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:257
:in " load_dependency'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1ib/active_support/dependencies.rb:291
:in “require'
/home/redmine/redmine—-4.0.4/plugins/redmine_knowledgebase/init.rb:2:in “<top (required)>"'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in “require'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in "block in require'

2025-05-02 1/4



https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:257
:in " load_dependency'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:291
:in “require'

/home/redmine/redmine—4.0.4/1lib/redmine/plugin.rb:175:in “block in load'
/home/redmine/redmine—-4.0.4/1ib/redmine/plugin.rb:166:in “each'
/home/redmine/redmine—4.0.4/1ib/redmine/plugin.rb:166:in "~ load'
/home/redmine/redmine—4.0.4/config/initializers/30-redmine.rb:21:in "<top (required)>'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:285
:in " load’
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:285
:in “block in load’
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:257
:in " load_dependency'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/dependencies.rb:285
:in " load'

/home/redmine/.rvm/gems/ruby-2.5.1/gems/railties-5.2.3/1ib/rails/engine.rb:657:in "block in load_c

onfig_initializer'

/home/redmine/.rvm/gems/ruby-2.

0:in "“instrument'

/home/redmine/.rvm/gems/ruby-2.

tializer'

/home/redmine/.rvm/gems/ruby-2.

) in <class:Engine>'
/home/redmine/
/home/redmine/
:Engine>"'
/home/redmine/
exec'
/home/redmine/
/home/redmine/
run_initializers'

/home/redmine/.rvm/gems/ruby-2.
/home/redmine/.rvm/gems/ruby-2.

h_child'

/home/redmine/.rvm/gems/ruby-2.

alizers'

/home/redmine/.rvm/gems/ruby-2.

.rvm/gems/ruby-2.
.rvm/gems/ruby-2.

.rvm/gems/ruby-2.

.rvm/gems/ruby-2.
.rvm/gems/ruby-2.

5.1/gems/activesupport-5.2.3/1lib/active_support/notifications.rb:17

/home/redmine/redmine—-4.0.4/config/environment.rb:14:

/home/redmine/.rvm/gems/ruby-2.
/home/redmine/.rvm/gems/ruby—-2.

vironment!'

/home/redmine/.rvm/gems/ruby-2.

un_tasks_blocks'

/home/redmine/.rvm/gems/ruby-2.
/home/redmine/.rvm/gems/ruby-2.
/home/redmine/.rvm/gems/ruby-2.
TOP => db:migrate => db:

Tasks:

[redmine@stouredmine0l redmine-4.0.4]1$ ruby bin/about

Traceback (most recent call last):
58: from bin/about:4:in
57: from
ernel_require.rb:59:in "“require'
56: from
ernel_require.rb:59:in "“require'
55: from
54: from /home/redmine/
6l:in ‘initialize!’
53: from /home/redmine/.
:60:1in “run_initializers'
52: from /home/redmine/.
51: from /home/redmine/.
50: from /home/redmine/.

y_connected_component'
5.1/gems/railties-5.2.3/1ib/rails/engine.rb:656:in "load_config_ini
5.1/gems/railties-5.2.3/1lib/rails/engine.rb:614:in “block (2 levels
5.1/gems/railties-5.2.3/1ib/rails/engine.rb:613:in "each'
5.1/gems/railties-5.2.3/1ib/rails/engine.rb:613:in “block in <class
5.1/gems/railties-5.2.3/1ib/rails/initializable.rb:32:in "“instance_
5.1/gems/railties-5.2.3/1ib/rails/initializable.rb:32:in “run'
5.1/gems/railties-5.2.3/1lib/rails/initializable.rb:61:in “block in
5.1/gems/railties-5.2.3/1lib/rails/initializable.rb:50:in “each'
5.1/gems/railties-5.2.3/1ib/rails/initializable.rb:50:in "tsort_eac
5.1/gems/railties-5.2.3/1ib/rails/initializable.rb:60:in “run_initi
5.1/gems/railties—5.2.3/1ib/rails/application.rb:361:in “initialize
in “<top (required)>"'
5.1/gems/railties-5.2.3/1lib/rails/application.rb:337:in "require'
5.1/gems/railties-5.2.3/1ib/rails/application.rb:337:in "require_en
5.1/gems/railties-5.2.3/1ib/rails/application.rb:520:in “block in r

5.1/gems/rake-12.3.3/exe/rake:27:in "<top

5.1/bin/ruby_executable_hooks:24:in “eval'

5.1/bin/ruby_executable_hooks:24:in "~ <main>'

load_config => environment
(See full trace by running task with --trace)

‘<main>'

/home/redmine/redmine-4.0.4/config/environment.rb:14:in " <top

(required)>"'

/home/redmine/.rvm/rubies/ruby-2.5.1/1ib/ruby/site_ruby/2.5.0/rubygems/core_ext/k

/home/redmine/.rvm/rubies/ruby-2.5.1/1ib/ruby/site_ruby/2.5.0/rubygems/core_ext/k

(required) >'
.rvm/gems/ruby-2.5.1/gems/railties-5.2.3/1ib/rails/application.rb:3

rvm/gems/ruby-2.5.1/gems/railties-5.2.3/1ib/rails/initializable.rb
rvm/rubies/ruby-2.5.1/1ib/ruby/2.5.0/tsort.rb:205:in "“tsort_each'

rvm/rubies/ruby-2.5.1/1ib/ruby/2.5.0/tsort.rb:226:in "“tsort_each'
rvm/rubies/ruby-2.5.1/1ib/ruby/2.5.0/tsort.rb:347:in "“each_strongl
49: from /home/redmine/.

48: from /home/redmine/.

47: from /home/redmine/.
h_strongly_connected_component'

46: from /home/redmine/.
y_connected_component_from'

45: from /home/redmine/.

44: from /home/redmine/.
:50:in “tsort_each_child'

43: from /home/redmine/
:50:1in “each'’

42: from /home/redmine/

rvm/rubies/ruby-2

rvm/rubies/ruby-2.
rvm/rubies/ruby-2.
rvm/rubies/ruby-2.

rvm/rubies/ruby-2.

.1/1ib/ruby/2.
.1/1ib/ruby/2.
.1/1ib/ruby/2.

.0/tsort.
.0/tsort.
.0/tsort.

Ul
(€]

.1/1ib/ruby/2.5.0/tsort.

.5.1/1ib/ruby/2.5.0/tsort.

rb:347:in “call'
rb:347:in “each'
rb:349:in "block in eac
rb:415:in "each_strongl

rb:415:in “call'

rvm/gems/ruby-2.5.1/gems/railties-5.2.3/1ib/rails/initializable.rb

.rvm/gems/ruby-2.5.1/gems/railties-5.2.3/1ib/rails/initializable.rb

.rvm/rubies/ruby-2

h_strongly_connected_component_from'

41: from /home/redmine/.rvm/rubies/ruby-2.
y_connected_component_from'

40: from /home/redmine/.rvm/rubies/ruby-2.
els) in each_strongly_connected_component_from'

39: from /home/redmine/.rvm/rubies/ruby-2.
els) in each_strongly_connected_component'

38: from /home/redmine/.rvm/rubies/ruby-2.
rt_each'

37: from /home/redmine/.rvm/gems/ruby-2.5.
:61l:1in "block in run_initializers'

36: from /home/redmine/.rvm/gems/ruby-2.5
:32:in “run'

35: from /home/redmine/.rvm/gems/ruby-2.5
:32:1in ~instance_exec'

34: from /home/redmine/
"block in <class:Engine>'

33: from /home/redmine/
“each'

32: from /home/redmine/
"block (2 levels) in <class:Engine>'

31: from /home/redmine/.rvm/gems/ruby-2.5.
"load_config_initializer'

30: from /home/redmine/.rvm/gems/ruby-2.5.

tifications.rb:170:in " instrument'
29

.rvm/gems/ruby-2.5
.rvm/gems/ruby-2.5

.rvm/gems/ruby-2.5

from /home/redmine/.rvm/gems/ruby-2.5.

"block in load_config_initializer'

.5.1/1ib/ruby/2.5.0/tsort.

.1/1ib/ruby/2.5.0/tsort.

.1/1ib/ruby/2.5.0/tsort.

(€]

.1/1ib/ruby/2.5.0/tsort.

.1/1ib/ruby/2.5.0/tsort.
.1/gems/railties-5.
.1/gems/railties-5.
.1/gems/railties-5.
.1/gems/railties-5.

.1/gems/railties-5.

1/gems/activesupport-5.2.

2 o

.3/1lib/rails/initializable.
.3/1lib/rails/initializable.
.3/1ib/rails/engine.rb:613:
.3/1lib/rails/engine.rb:613:
.3/1lib/rails/engine.rb:614:

1/gems/railties-5.2.3/1ib/rails/engine.rb:656:

rb:421:in "block in eac
rb:431:in "each_strongl
rb:422:in “block (2 lev
rb:350:1in “block (2 lev
rb:228:in "block in tso

1/gems/railties—5.2.3/1ib/rails/initializable.rb

rb
rb
in
in
in
in

3/1lib/active_support/no

1/gems/railties-5.2.3/1ib/rails/engine.rb:657:1in
.3/1lib/active_support/de
.3/1lib/active_support/de
.3/1lib/active_support/de

.3/1lib/active_support/de

“load’
“each'
"block in load'

3/1ib/active_support/de

.3/1lib/active_support/de
.3/1lib/active_support/de

.3/1lib/active_support/de

(req

28: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.
pendencies.rb:285:in " load’'

27: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.
pendencies.rb:257:in " load_dependency'

26: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.
pendencies.rb:285:in "block in load'

25: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.
pendencies.rb:285:in " load'

24: from /home/redmine/redmine-4.0.4/config/initializers/30-redmine.rb:21:in '<top (requir
ed) >"'

23: from /home/redmine/redmine-4.0.4/lib/redmine/plugin.rb:166:in

22: from /home/redmine/redmine—-4.0.4/1lib/redmine/plugin.rb:166:in

21: from /home/redmine/redmine—-4.0.4/lib/redmine/plugin.rb:175:in

20: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.
pendencies.rb:291:in “require'

19: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.
pendencies.rb:257:in " load_dependency'

18: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.
pendencies.rb:291:in "block in require'

17: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.
pendencies.rb:291:in "require'

16: from /home/redmine/redmine-4.0.4/plugins/redmine_knowledgebase/init.rb:2:in " <top
uired)>"'

15: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1ib/active_support/de
pendencies.rb:291:in “require'

14: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/de
pendencies.rb:257:in " load_dependency'

13:
pendencies.rb:291:in “block in require'

12: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/de
pendencies.rb:291:in "require'

11: from /home/redmine/.rvm/gems/ruby-2.5.1/bundler/gems/redmine_acts_as_taggable_on-0ebef
70ef692/1ib/redmine_acts_as_taggable_on/initialize.rb:3:in "<top (required)>'

10: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/de
pendencies.rb:291:in “require'

9: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1ib/active_support/de
pendencies.rb:257:in "~ load_dependency'

8: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/de
pendencies.rb:291:in "block in require'

7: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/de
pendencies.rb:291:in “require'

6: from /home/redmine/.rvm/gems/ruby-2.5.1/bundler/gems/redmine_acts_as_taggable_on-0ebef
70ef692/1ib/redmine_acts_as_taggable_on/migration.rb:6:in "<top (required)>'

5: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/de
pendencies.rb:291:in "require'

4: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/de
pendencies.rb:257:in " load_dependency'

3: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/de
pendencies.rb:291:in "block in require'

2: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/activesupport-5.2.3/1lib/active_support/de
pendencies.rb:291:in “require'

1: from /home/redmine/.rvm/gems/ruby-2.5.1/gems/acts-as-taggable-on-4.0.0/db/migrate/1_ac
ts_as_taggable_on_migration.rb:1l:in “<top (required)>'
/home/redmine/.rvm/gems/ruby-2.5.1/gems/activerecord-5.2.3/1lib/active_record/migration.rb:528:1in
inherited': Directly inheriting from ActiveRecord::Migration is not supported. Please specify the
Rails release the migration was written for: (StandardError)

class ActsAsTaggableOnMigration < ActiveRecord::Migration[4.2]
Could you help me please ?

Thanks for your kind help.
Regards,

History

#1 - 2019-09-25 17:43 - Marius BALTEANU

- Status changed from New to Needs feedback

Please try without plugins because ActsAsTaggableOnMigration is not part of Redmine core. Also, you'll need to check your plugins compatibility with
Redmine 4.0 and contact plugin authors if you have any issue. Here we discuss only about Redmine core.

#2 - 2019-09-25 18:09 - Xavier ANDRE

All my apologies ! | didn't notice is was due to a plugin.
| confirm that everything is working well after removing old plugins.

Thanks for your kind help !
Regards,

#3 - 2019-09-25 18:10 - Marius BALTEANU
- Status changed from Needs feedback to Closed
- Resolution set to Invalid

Xavier ANDRE wrote:

All my apologies ! | didn't notice is was due to a plugin.
| confirm that everything is working well after removing old plugins.

Thanks for your kind help !
Regards,

Thanks for your feedback!
